Subject: Re: [DNSOP] Followup Discussion on TCP keepalive proposals

From: Francis Dupont <[email-masked]>
Date: Mon, 02 Feb 2015 15:21:26 +0100

In your previous mail you wrote:

>  If you want to make the connections full-duplex instead of
>  half-duplex, you need to negotiate connection teardown at the DNS
>  layer.  Otherwise, the TCP connection teardown will result in loss of
>  already-transmitted responses.

=> I don't understand: to close a TCP connection doesn't drop responses.
Perhaps you mean to abort (RST vs FIN) the TCP connection but there is
usually no reason to do this and BTW I am afraid most programmers
don't know how to abort a TCP connection...

Regards

[email-masked]

PS: set the SO_LINGER socket option to 0 before close().